Skip to main content

Get a link to the job log raw request and response data of a write job.

GEThttps://api.propexo.com/v1/admin/job-logs/:job_log_id/data

Get a link to the job log raw request and response data of a write job. Only POST and PUT job payloads can be viewed. This endpoint will return a 302 status code with a Location header that can be followed to download the raw request and response data.

Some HTTP clients (including some older versions of cURL) will carry the Authentication header when the redirect is followed. This will cause an error conflicting with the authentication in the presigned URL being returned by this endpoint. If you see this error, you will need to make sure your HTTP client isn't passing Authentication headers on redirect. If you're using cURL, use the -L flag. For other HTTP client, consult their documentation.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

job_log_id stringrequired

The ID of the job log.

Response​

Successful response

    object

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/admin/job-logs/:job_log_id/data
curl https://api.propexo.com/v1/admin/job-logs/:job_log_id/data \
-H "Authorization: Bearer <token>"
200 Successful response
{}